- Qt 6.9
- Qt Wayland Compositor
- Qt Wayland WlShell extension
- Qt Wayland Compositor | Commercial or GPLv3

# Qt Wayland WlShell extension

### Summary

WlShell is a shell extension providing window system features typical to desktop systems. It is superseded by XdgShell and exists in Qt mainly for backwards compatibility with older applications.

WlShell corresponds to the Wayland interface `wl_shell`.

### Usage

To use this module, import it like this:

     import QtWayland.Compositor.WlShell

WlShell | Provides an extension for desktop-style user interfaces
WlShellSurface | Provides a wl_shell_surface that offers desktop-style compositor-specific features to a surface